Subject: My current quilt 0.21 :)
From: Andreas Gruenbacher <[email-masked]>
To: [email-masked]
Date: Tue, 28 Jan 2003 22:05:15 +0100

Hi,

I have copied my current version to http://www.suse.de/~agruen/quilt/.
Should we use this version to reload the CVS? I think we are nearing
the stable development phase, so now this seems to make some sense.

There are surely many new bugs. Please help shake them out :)

I also didn't merge several improvements. Would it be possible that
people contribute patches for the things they want included? I really
don't have so much time to work on features I don't need so much.

Here's a list of changes (some probably forgotten):

	- There now is a quilt wrapper script. All the individual
	  commands are run from this script. This is a pain for frequently
	  used commands like push and pop. (I am using shell aliases
	  for some of them, which works well.)

	- The scripts have been split into many separate commands that
	  are intended to do only a few things each.

		$ quilt
		Usage: quilt command [-h] ...
		Commands are:
		        add      files   patches   refresh  setup
		        applied  import  pop       remove   top
		        delete   new     previous  rest
		        diff     next    push      series

	- .gz and .bz2 compressed patches are now suported.

	- Quilt setup takes a series file, unpacks archive(s), and
	  copies patches in.

	- For those working with RPMs, quilt setup can process an RPM
	  spec file and produces the series file from that (by running the
	  %prep section).

	- Quilt diff can diff a specified patch, diff the changes
	  done relative to after a patch, and create combined diffs.

	- Quilt series shows which patches are applied,
	  which is the topmost, and which are unapplied:

		$ quilt series -v
		+ samba-2.2.4-smbadduser
		+ samba-2.2.3-smbsh
		+ samba-2.2.6-doc
		+ samba-2.2.6-pdbedit
		+ samba-2.2.7a-removeldap
		= samba-2.2.5-linkvfs
		  samba-2.2.7-nettime
		  samba-2.2.7a-acl-mapping-fixes
		  samba-2.2.7a-glibc

	- Quilt files shows which files are new/removed by a patch (none
	  are removed here):

		$ quilt files -v
		  fs/Config.in
		  fs/Makefile
		+ fs/posix_acl.c
		+ include/linux/posix_acl.h

	- Quilt import still sucks. Some ideas are found in the TODO.

So long,
Andreas.